man(1)

NAME
gtts-cli - convert text to mp3

SYNOPSIS
gtts-cli [-h | --help] (["text to speak"] | -f FILE | --file FILE) [-o DESTINATION_FILE | --destination DESTINATION_FILE] [-l LANG | --lang LANG] [--slow] [--debug]

DESCRIPTION
Create an mp3 file from your text with the gtts-cli command line utility. It allows unlimited lengths to be spoken by tokenizing long sentences where the speech would naturally pause.

OPTIONS

[-h | --help]
    Prints a help message and exits.

(["text to speak"] | -f FILE | --file FILE)
    If given text in quotes, generates an mp3 with that text spoken. With -f FILE, generates the mp3 with the text from FILE.

(-o DESTINATION_FILE | --destination DESTINATION_FILE)
    The file to write the generated mp3 to. If not given, writes to stdout (probably not what you want!)

(-l LANG | --lang LANG)
    Which language to speak the given text in. Supported languages are:

* 'af' : 'Afrikaans'

* 'sq' : 'Albanian'

* 'ar' : 'Arabic'

* 'hy' : 'Armenian'

* 'bn' : 'Bengali'

* 'ca' : 'Catalan'

* 'zh' : 'Chinese'

* 'zh-cn' : 'Chinese (Mandarin/China)'

* 'zh-tw' : 'Chinese (Mandarin/Taiwan)'

* 'zh-yue' : 'Chinese (Cantonese)'

* 'hr' : 'Croatian'

* 'cs' : 'Czech'

* 'da' : 'Danish'

* 'nl' : 'Dutch'

* 'en' : 'English'

* 'en-au' : 'English (Australia)'

* 'en-uk' : 'English (United Kingdom)'

* 'en-us' : 'English (United States)'

* 'eo' : 'Esperanto'

* 'fi' : 'Finnish'

* 'fr' : 'French'

* 'de' : 'German'

* 'el' : 'Greek'

* 'hi' : 'Hindi'

* 'hu' : 'Hungarian'

* 'is' : 'Icelandic'

* 'id' : 'Indonesian'

* 'it' : 'Italian'

* 'ja' : 'Japanese'

* 'km' : 'Khmer (Cambodian)'

* 'ko' : 'Korean'

* 'la' : 'Latin'

* 'lv' : 'Latvian'

* 'mk' : 'Macedonian'

* 'no' : 'Norwegian'

* 'pl' : 'Polish'

* 'pt' : 'Portuguese'

* 'ro' : 'Romanian'

* 'ru' : 'Russian'

* 'sr' : 'Serbian'

* 'si' : 'Sinhala'

* 'sk' : 'Slovak'

* 'es' : 'Spanish'

* 'es-es' : 'Spanish (Spain)'

* 'es-us' : 'Spanish (United States)'

* 'sw' : 'Swahili'

* 'sv' : 'Swedish'

* 'ta' : 'Tamil'

* 'th' : 'Thai'

* 'tr' : 'Turkish'

* 'uk' : 'Ukrainian'

* 'vi' : 'Vietnamese'

* 'cy' : 'Welsh'

--slow
    Slower read speed for the text.

--debug
    Print debug statements.

EXAMPLES
Read the string 'Hello' in English to hello.mp3

    gtts-cli "Hello" -l 'en' -o hello.mp3

Read the string 'Hello' in English (slow speed) to hello.mp3

    gtts-cli "Hello" -l 'en' -o hello.mp3 --slow

Read the contents of file 'hello.txt' in Czech to hello.mp3:

    gtts-cli -f hello.txt -l 'cs' -o hello.mp3

Read the string 'Hello' from stdin in English to hello.mp3

    echo "Hello" | gtts-cli -l 'en' -o hello.mp3 -

SEE ALSO

BUGS
No known bugs.

AUTHOR
Ethan Ward <ethan.ward@mycroft.ai>